%define upstream_name    Plack-Middleware-DirIndex
%define upstream_version 1.01

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Middleware to use with Plack::App::Directory and the like
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Plack/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Plack::App::Directory)
BuildRequires: perl(Plack::App::File)
BuildRequires: perl(Plack::Builder)
BuildRequires: perl(Plack::Middleware)
BuildRequires: perl(Plack::Middleware::ErrorDocument)
BuildRequires: perl(Plack::Test)
BuildRequires: perl(Plack::Util::Accessor)
BuildRequires: perl(Test::More)
BuildRequires: perl(lib)
BuildRequires: perl(parent)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
If $env->{PATH_INFO} ends with a '/' then we will append the dir_index
value to it (defaults to index.html)

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Mon Mar 28 2022 tv <tv> 1.10.0-1.mga9
+ Revision: 1829851
- update to 1.01

* Sun Mar 20 2022 umeabot <umeabot> 1.0.0-5.mga9
+ Revision: 1805083
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.0.0-4.mga8
+ Revision: 1496568
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1.0.0-3.mga7
+ Revision: 1270524
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.0.0-2.mga6
+ Revision: 1032117
- Rebuild for perl 5.22.2

* Mon Jan 18 2016 shlomif <shlomif> 1.0.0-1.mga6
+ Revision: 925437
- imported package perl-Plack-Middleware-DirIndex

